--- ucom.c.orig	2009-03-01 21:26:57.000000000 +0200
+++ ucom.c	2009-03-01 21:31:28.000000000 +0200
@@ -659,7 +659,9 @@
 		if (status == USBD_STALLED)
 			usbd_clear_endpoint_stall_async(sc->sc_bulkin_pipe);
 		/* XXX we should restart after some delay. */
-		goto error;
+                /* hsu: testing ignoring io errors */
+                if (status != USBD_IOERROR)
+                  goto error;
 	}
 
 	usbd_get_xfer_status(xfer, NULL, NULL, &cc, NULL);
@@ -739,7 +741,10 @@
 		if (status == USBD_STALLED)
 			usbd_clear_endpoint_stall_async(sc->sc_bulkin_pipe);
 		/* XXX we should restart after some delay. */
-		return;
+                if (status != USBD_IOERROR)
+                  return;
+                else /* hsu: Testing ignoring io errors */
+                  goto resubmit;
 	}
 	sc->sc_state |= UCS_RXSTOP;
 
